Shadow Vpn Lookup
curl --request GET \
--url https://api.example.com/api/v1/shadow_vpn/lookup/{ip}import requests
url = "https://api.example.com/api/v1/shadow_vpn/lookup/{ip}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/shadow_vpn/lookup/{ip}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip": "<string>",
"assets": [
{
"port": 123,
"protocol_family": "<string>",
"vendor": "<string>",
"product": "<string>",
"version_band": "<string>",
"version_precision": "<string>",
"exact_version": "<string>",
"confidence_band": "<string>",
"evidence_sources": [
"<string>"
],
"first_seen": "<string>",
"last_seen": "<string>",
"attributions": [
{
"org_name": "<string>",
"signal_source": "<string>",
"signal_confidence": 123,
"observed_at": "<string>"
}
],
"cve_summary": {
"total_count": 123,
"kev_count": 123,
"max_severity_score": 123,
"max_severity_rating": "<string>",
"eol_status": "<string>",
"last_computed_at": "<string>"
},
"cves": [
{
"cve_id": "<string>",
"detection_confidence": "<string>",
"source": "<string>",
"severity_score": 123,
"severity_rating": "<string>",
"cvss_version": "<string>",
"kev_added_at": "<string>",
"epss_score": 123,
"epss_percentile": 123,
"euvd_id": "<string>",
"jvn_id": "<string>",
"matched_via": "<string>"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Lookup
Shadow VPN lookup
Remote-access infrastructure assets on an IP.
GET
/
api
/
v1
/
shadow_vpn
/
lookup
/
{ip}
Shadow Vpn Lookup
Headers
Path Parameters
Query Parameters
Filter attributions: only those with signal_confidence >= this value are returned.
Required range:
0 <= x <= 1Comma-separated extra blocks to include. 'cves' attaches per-asset CVE detail.
When include=cves, only return findings >= this rating (low|medium|high|critical).
When include=cves, only return CVEs flagged in CISA KEV.
When include=cves, only return findings whose detection_confidence is >= this rank (low|medium|high).